## python-nudatus 0.0.4

=== Makefile ===
XARGS := xargs -0 $(shell test $$(uname) = Linux && echo -r)

all:
	@echo "\nThere is no default Makefile target right now. Try:\n"
	@echo "make clean - reset the project and remove auto-generated assets."
	@echo "make pyflakes - run the PyFlakes code checker."
	@echo "make pycodestyle - run the PEP8 style checker."
	@echo "make test - run the test suite."
	@echo "make coverage - view a report on test coverage."
	@echo "make check - run all the checkers and tests."
	@echo "make package - create a deployable package for the project."
	@echo "make publish - publish the project to PyPI."

clean:
	rm -rf build
	rm -rf dist
	rm -rf nudatus.egg-info
	rm -rf .coverage
	rm -rf .tox
	find . \( -name '*.py[co]' -o -name dropin.cache \) -print0 | $(XARGS) rm
	find . \( -name '*.bak' -o -name dropin.cache \) -print0 | $(XARGS) rm
	find . \( -name '*.tgz' -o -name dropin.cache \) -print0 | $(XARGS) rm

pyflakes:
	find . \( -name _build -o -name var -o -path ./tests -o -path ./.env \) -type d  -prune -o -name '*.py' -print0  | $(XARGS) pyflakes

pycodestyle: clean
	pycodestyle . --exclude .env,tests/bigscript*

test: clean
	py.test

coverage: clean
	py.test --cov-report term-missing --cov=nudatus tests/

check: clean pycodestyle pyflakes coverage

package: check
	python setup.py sdist

publish: check package
	@echo "\nChecks pass, good to publish..."
	twine upload dist/*

=== debian/changelog ===
python-nudatus (0.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #907699)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 30 Dec 2018 18:58:36 +0100

=== debian/control ===
Source: python-nudatus
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pandoc,
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.3.0
Homepage: https://github.com/ZanderBrown/nudatus
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-nudatus
Vcs-Git: https://salsa.debian.org/python-team/modules/python-nudatus.git

Package: python3-nudatus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: module to remove comments from Python 3 scripts
 Nudatus was created to help fit longer, heavily-documented Python programs
 onto the micro:bit single-board computer (SBC). It should be suitable for
 similar platforms with restricted storage capacity.
 .
 Although the library is designed to be embedded, this package also provides
 the `nudatus` CLI utility.
 .
 Nudatus uses the tokenizer built into Python, so only supports the syntax of
 the version of Python it's running on.
 .
 This package installs the library and CLI utility for Python 3.

=== debian/tests/control ===
Tests: python3-nudatus
Depends: @builddeps@, @,

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
    https://github.com/ZanderBrown/nudatus/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-nudatus 0.0.5

=== Makefile ===
XARGS := xargs -0 $(shell test $$(uname) = Linux && echo -r)

all:
	@echo "\nThere is no default Makefile target right now. Try:\n"
	@echo "make clean - reset the project and remove auto-generated assets."
	@echo "make test - run the test suite."
	@echo "make coverage - view a report on test coverage."
	@echo "make check - run all the checkers and tests."
	@echo "make package - create a deployable package for the project."
	@echo "make publish - publish the project to PyPI."

clean:
	rm -rf build
	rm -rf dist
	rm -rf nudatus.egg-info
	rm -rf .coverage
	rm -rf .tox
	find . \( -name '*.py[co]' -o -name dropin.cache \) -print0 | $(XARGS) rm
	find . \( -name '*.bak' -o -name dropin.cache \) -print0 | $(XARGS) rm
	find . \( -name '*.tgz' -o -name dropin.cache \) -print0 | $(XARGS) rm

test: clean
	py.test

coverage: clean
	py.test --cov-report term-missing --cov=nudatus tests/

tidy: clean
	black --check *.py
	# Don't reformat test data
	black --check tests/test_*.py

black: clean
	black --check *.py
	black --check tests/test_*.py

check: clean black coverage

package: check
	python setup.py sdist bdist_wheel

publish: check package
	@echo "\nChecks pass, good to publish..."
	twine upload dist/*

=== debian/changelog ===
python-nudatus (0.0.5-4) unstable; urgency=medium

  * d/patches
    - explicitly-raise-tokenerror: Fix patch metadata

 -- Nick Morrott <nickm@debian.org>  Fri, 23 Feb 2024 03:07:26 +0000

python-nudatus (0.0.5-3) unstable; urgency=medium

  * d/clean:
    - Remove generated manpage files
  * d/control:
    - Declare compliance with Debian Policy 4.6.2
  * d/copyright:
    - Update years of Debian copyright
  * d/lintian-overrides:
    - Refresh overrides for updated format string
  * d/patches:
    - Add patch explicitly-raise-tokenerror (Closes: #1058114)
    - Add patch assert-after-context-manager-exits (Closes: #1056488)
  * d/s/lintian-overrides:
    - Add override for long lines in test source
    - Add override for excluded SCM/CI files
  * d/watch:
    - Reformat lines

 -- Nick Morrott <nickm@debian.org>  Wed, 21 Feb 2024 11:19:25 +0000

python-nudatus (0.0.5-2) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.6.0, no changes needed.
  * d/copyright:
    - Refresh years of Debian copyright
    - Use 4-digit years for Debian copyright ranges
  * d/t/control:
    - Add python3-all to test dependencies
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Sat, 05 Feb 2022 14:02:55 +0000

python-nudatus (0.0.5-1) unstable; urgency=medium

  * New upstream version 0.0.5
  * d/copyright:
    - Refresh years of upstream copyright

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 02:18:34 +0000

python-nudatus (0.0.4-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Debian Janitor ]
  * d/u/metadata:
    - Remove obsolete fields Contact, Name (already present in
      machine-readable debian/copyright).

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
  * d/copyright:
    - Refresh years of Debian copyright

 -- Nick Morrott <nickm@debian.org>  Tue, 05 Jan 2021 02:18:41 +0000

python-nudatus (0.0.4-3) unstable; urgency=medium

  * d/manpages:
    - Update author email address
    - Improve formatting of custom manpage

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 20:45:53 +0100

python-nudatus (0.0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Nick Morrott ]
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Add Rules-Requires-Root field, set to no
    - Update Uploaders to use my Debian email address
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Use pristine-tar
  * d/tests:
    - Run autopkgtests against supported Python versions

 -- Nick Morrott <nickm@debian.org>  Thu, 18 Jun 2020 04:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-nudatus
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  pandoc,
  python3-all,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ZanderBrown/nudatus
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-nudatus
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-nudatus.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nudatus
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-nudatus.git
+Rules-Requires-Root: no
 
 Package: python3-nudatus
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_ALWAYS_EXCLUDE=__pycache__

export DH_VERBOSE = 1
export PYBUILD_VERBOSE=1

export PYBUILD_NAME=nudatus

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf __pycache__

override_dh_auto_build:
	dh_auto_build
	# build custom manpage
	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
	sed -e "s/__VERSION__/$(DEB_VERSION_UPSTREAM)/g" \
				< debian/nudatus.1.md.in > debian/nudatus.1.md
	pandoc debian/nudatus.1.md -s -f markdown -t man -o debian/nudatus.1

=== debian/tests/control ===
Tests: python3-nudatus
Depends: @builddeps@, @, python3-all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
    https://github.com/ZanderBrown/nudatus/tags \
    .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
